{% extends 'profile/layouts/admin/admin_layout.html' %}
{% load static %}
{% block css %}

    <link rel="stylesheet" type="text/css" href="{% static 'admin/css/datatables/datatables.min.css' %}">
    <style>
        .img-bagss {
            position: absolute;
            top: 0;
            background-color: rgba(255, 0, 0, 0.8);
            text-align: center;
            font-weight: 500;
            line-height: 16px;
            padding: 5px 10px;
            color: #FFFFFF;
            border-radius: 5px 5px 5px 0;
        }
        .img-bagss .tag-bln { font-size: 15px; }

        .tdx{
            max-width: 400px;
            word-wrap: break-word;
            
        }
       .select2-container {
    width: 100% !important;
    padding: 0;
}
    </style>

{% endblock css %}


{% block navbar %}
    {% include 'profile/layouts/admin/navbar.html' %}
{% endblock navbar %}

{% block main %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_home' %}">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page">Data Kelembagaan</li>
        </ol>
    </nav>

    {% if messages %}
        {% for message in messages %}
            <div class="alert {{ message.tags }} my-2" role="alert">
                {{message}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>  
        {% endfor %}
    {% endif %}

    <a href="{% url 'profile:admin_kelembagaan_create' %}"> 
        <button type="button" class="btn btn-primary mt-2 mb-4"><i class="bi bi-plus"></i> Tambah Kelembagaan</button>
    </a>
    <button type="button"  class="btn btn-danger mt-2 mb-4" data-toggle="modal" data-target="#arsip_datapu"><i class="bi bi-trash"></i> Data Kelembagaan Diarsipkan</button>
    
    <div class="card shadow mb-5">
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between bg-gradient-primary text-white">
            <h6 class="m-0 font-weight-bold text-white"><i class="fa fa-list"></i> Data Kelembagaan</h6>
            <div class="dropdown no-arrow">
                <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
                </a>
            </div>
        </div>
        <div class="card-body">
            <table class="table table-striped table-bordered dt-responsive" id="table-list">
                <thead class="bg-primary text-white">
                    <tr>
                        <th scope="col" class="text-center">No</th>
                        <td>Jenis Input</td>
                        <td>Wilayah</td>
                        <td>Nama Lembaga / Gereja</td>
                        <td>Tanggal Input</td>
                        <td>Ketua</td>
                        <td>Jumlah Anggota</td>
                        <td>Bukti Foto</td>
                        <th scope="col" class="text-center">Aksi</th>
                    </tr>
                </thead>
                <tbody>
                    {% for datakelembagaan in lembaga_list %}
                        <tr>
                                <td>{{forloop.counter}}</td>
                                <td>{{datakelembagaan.jenisinput}} </td>
                                <td class="tdx">{{datakelembagaan.kampung.distrik.title}}-{{datakelembagaan.kampung.titles}} </td>
                                <td>{{datakelembagaan.title_lembaga}} </td>
                                <td>{{datakelembagaan.create_date}} </td>
                                <td>{{datakelembagaan.ketua_lembaga}} </td>
                                <td>{{datakelembagaan.jml_anggota}} </td>
                                <td><img src="{{datakelembagaan.foto.url}}" width="100"> </td>
                                <td>
                                    <div class="d-flex align-items-center justify-content-center px-3 py-2 mt-2">
                                        <button class="btn btn-success btn-circle mr-3 mb-2" data-toggle="modal" data-target="#tambahpenduduk-{{datakelembagaan.id}}"><span class="fa fa-edit"></span></button>
                                        <div class="modal fade " id="tambahpenduduk-{{datakelembagaan.id}}"  role="dialog" aria-labelledby="tambahpenduduk-{{datakelembagaan.id}}" aria-hidden="true">
                                            <div class="modal-dialog modal-xl" role="document">
                                                <div class="modal-content ">
                                                    <div class="modal-header bg-gradient-primary text-white">
                                                        <h5 class="modal-title" id="arsip_perikanan"><i class="fa fa-pencil"></i> Edit Data Kelembagaan</h5>
                                                        <button class="close" type="button" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span></button>
                                                    </div>
                                                    <div class="modal-body">
                                                        <form method ='post' enctype ="multipart/form-data" action="{% url 'profile:admin_kelembagaan_edit' datakelembagaan.id %}">
                                                                {% csrf_token %}
                                                                <div class="row no-gutters align-items-center">
                                                                    <div class="col-md-5">  
                                                                        <div class="col mr-2">
                                                                            <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                                                               Wilayah
                                                                            </div>
                                                                        </div>
                                                                        <div class="col-auto">
                                                                            <select name="kampung" id="mySelect2" class="form-control list_wilayah select2" required>
                                                                                <option value="">Kampung/Distrik</option>
                                                                                {% for data_kampung in datakampung_list %}
                                                                                    <option value="{{ data_kampung.id }}" {% if data_kampung.id == datakelembagaan.kampung_id %}selected{% endif %}>
                                                                                        {{ data_kampung.distrik.title }}-{{ data_kampung.titles }}
                                                                                    </option>
                                                                                {% endfor %}    
                                                                            </select>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-md-4">
                                                                        <div class="col mr-2">
                                                                            <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                                                                Penanggungjawab
                                                                            </div>
                                                                        </div>
                                                                        <div class="col-auto">
                                                                            <select name="penanggungjawab" class="form-control" required>
                                                                                <option value="">Pilih Penanggungjawab</option>
                                                                                {% for datajawab in penanggungjawab %}
                                                                                    <option value="{{datajawab.id}}" {% if datajawab.id == datakelembagaan.penanggungjawab_id %}selected{% endif %}>{{datajawab.nama}}</option>
                                                                                {% endfor %}
                                                                            </select>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-md-3">
                                                                        <div class="col mr-2">
                                                                            <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                                                                Tahun
                                                                            </div>
                                                                        </div>
                                                                        <div class="col-auto">
                                                                            <select name="tahun"  class="form-control" required>
                                                                                <option value="{{datakelembagaan.tahun}}" {% if tahun == datakelembagaan.tahun %}selected{% endif %}>{{datakelembagaan.tahun}}</option>
                                                                                <option value="">Pilih Tahun</option>
                                                                                <option value="2020">2020</option>    
                                                                                <option value="2021">2021</option>    
                                                                                <option value="2022">2022</option>    
                                                                                <option value="2023">2023</option>    
                                                                                <option value="2024">2024</option>    
                                                                            </select>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div class="card-body">
                                                                    <div class="row" style="padding-top: 20px;">
                                                                        <div class="form-group col-md-4">
                                                                            <label for="tipeinputan">Pilih Jenis Inputan</label>
                                                                            <select name="jenisinput" class="form-control">
                                                                                <option value="{{datakelembagaan.jenisinput}}" {% if jenisinput == datakelembagaan.jenisinput %}selected{% endif %}>{{datakelembagaan.jenisinput}}</option>
                                                                                <option value="">Pilih Jenis Inputan</option>
                                                                                <option value="Lembaga Adat">Lembaga Adat</option>
                                                                                <option value="Lembaga Kemasyarakatan">Lembaga Kemasyarakatan</option>
                                                                                <option value="Gereja">Gereja</option>
                                                                            </select>
                                                                        </div>
                                                                        <div class="form-group col-md-8">
                                                                            <label for="title_lembaga">Nama Lembaga</label>
                                                                            <input type="text"  placeholder="Nama Lembaga/Gereja"
                                                                                class="form-control"
                                                                                name="title_lembaga" value="{{datakelembagaan.title_lembaga}}"
                                                                                required>
                                                                        </div>
                                                                    </div>
                                                                    <div class="row" style="color:black; border-radius: 0px 0px 0px 0px;">
                                                                        <div class="form-group col-md-4">
                                                                            <label for="judul">Nama Ketua</label>
                                                                            <input type="text" placeholder="Ketua Lembaga / Gereja"
                                                                                class="form-control"
                                                                                name="ketua_lembaga" value="{{datakelembagaan.ketua_lembaga}}"
                                                                                required>
                                                                        </div>
                                                                        <div class="form-group col-md-4">
                                                                            <label for="jml_anggota">Jumlah Anggota</label>
                                                                            <input type="number" placeholder="Jumlah Anggota"
                                                                                class="form-control"
                                                                                name="jml_anggota" value="{{datakelembagaan.jml_anggota}}"
                                                                                required>
                                                                        </div>
                                                                        
                                                                    </div>
                                                                    <div class="row" style="color:black; border-radius: 0px 0px 0px 0px;">
                                                                        <div class="form-group col-md-4">
                                                                            <label for="foto">Upload Bukti Foto</label>
                                                                            <input type="file" name="foto" class="form-control" value="{{datakelembagaan.foto}}">
                                                                        </div>
                                                                        <div class="form-group col-md-4">
                                                                            <label for="foto">Preview</label><br>
                                                                            <img src="{{datakelembagaan.foto.url}}" width="100">
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            <div class="modal-footer">
                                                                <button class="btn btn-primary" type="submit"><i class="fa fa-edit"></i> Ubah</button>
                                                                <button class="btn btn-danger" type="button" data-dismiss="modal"><i class="fa fa-times"></i> Tutup</button>
                                                            </div>
                                                        </form>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>






                                        <a href="#" class="btn btn-danger btn-circle mr-3 mb-2" 
                                        onclick="delete_('soft_delete', `{{ datakelembagaan.title }}`, '{{ datakelembagaan.id }}')"
                                        data-toggle="tooltip" data-placement="top" title="Arsipkan">
                                            <i class="bi bi-archive"></i>
                                        </a>
                                    </div>
                                </td>
                        </tr>
                   {% endfor %}
                </tbody>
            </table>
        </div>
    </div>

    {% include 'profile/admin/lembaga/arsip_lembaga.html' %}
{% endblock main %}

{% block footer %}
    {% include 'profile/layouts/admin/footer.html' %}
{% endblock footer %}

{% block scripts_bawah %}
    <script src="{% static 'admin/js/datatables/datatables.min.js' %}"></script>
    <script>
        $(document).ready( function () {
            $('[data-tooltip="tooltip"]').tooltip();
            $('#table-list').DataTable();
            $('#table-archive').DataTable();
           
        });
        function restore_(nama, id){
                Swal.fire({
                    title: `Apakah anda yakin ingin memulihkan file ${nama}?`,
                    showCancelButton: true,
                    confirmButtonText: 'Pulihkan',
                    cancelButtonText: 'Batal',
                    }).then((result) => {
                    if (result.isConfirmed) {
                        $.ajax({
                            url: `/manage_panel/kelembagaan/restore/${id}`,
                            data: {},
                            dataType: "html",
                            timeout: 10000,
                            beforeSend: function() {
                                Swal.fire({
                                    title: 'Memproses.........',
                                    allowEscapeKey: false,
                                    allowOutsideClick: false,
                                    showCancelButton: false,
                                    showConfirmButton: false,
                                    onOpen: () => {
                                        swal.showLoading();
                                    }
                                });
                            },
                            success: function(response){
                                Swal.fire(`Distrik berhasil dipulihkan!`, '', 'success');
                                setTimeout(function(){
                                    window.location.href = "/manage_panel/kelembagaan/";
                                }, 2000); 
                            },
                            error: function (xhr, ajaxOptions, thrownError) {
                                Swal.fire(`Distrik gagal dipulihkan!`, '', 'error');
                            }
                        });
                        
                    }
                });
            }
            function delete_(action, nama, id){
                let pesan = action == 'soft_delete' ? "arsipkan" : "hapus";
                let confirmation = action == 'soft_delete' ? "Arsipkan" : "Hapus";
                Swal.fire({
                    title: `Apakah kamu yakin ingin meng${pesan} data ${nama}?`,
                    showCancelButton: true,
                    confirmButtonText: confirmation,
                    cancelButtonText: 'Batal',
                    
                    }).then((result) => {
                    if (result.isConfirmed) {
                        $.ajax({
                            url: `/manage_panel/kelembagaan/${action}/${id}`,
                            data: {},
                            dataType: "html",
                            timeout: 10000,
                            beforeSend: function() {
                                Swal.fire({
                                    title: 'Memproses.........',
                                    allowEscapeKey: false,
                                    allowOutsideClick: false,
                                    showCancelButton: false,
                                    showConfirmButton: false,
                                });
                                Swal.showLoading();
                            },
                            success: function(response){
                                Swal.fire(`Data Diarsipkan berhasil di${pesan}!`, '', 'success');
                                setTimeout(function(){
                                    window.location.href = "/manage_panel/kelembagaan/";
                                }, 2000); 
                            },
                            error: function (xhr, ajaxOptions, thrownError) {
                                Swal.fire(`Data Diarsipkan gagal di${pesan}!`, '', 'error');
                            }
                        });
                        
                    }
                });
            }
    </script>
{% endblock scripts_bawah %}